## vitables 2.1

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/ViTablesUsersGuide.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/ViTablesUsersGuide.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/ViTablesUsersGuide"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/ViTablesUsersGuide"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
vitables (2.1-1) unstable; urgency=low

  * Initial release (Closes: #525760)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 19 Jun 2011 12:35:53 +0000

=== debian/control ===
Source: vitables
Section: science
Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Dmitrijs Ledkovs <dmitrij.ledkov@gmail.com>,
	   Picca Frédéric-Emmanuel <picca@debian.org>
Build-Depends: debhelper (>= 8),
               python (>= 2.6.6-3~),
	       python-sphinx
Standards-Version: 3.9.2
Homepage: http://vitables.berlios.de
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/vitables.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/vitables.git

Package: vitables
Section: python
Architecture: all
Depends: ${misc:Depends},
	 ${python:Depends},
	 python-qt4 (>=4.4),
	 python-tables (>= 2.0),
	 python-numpy,
	 libjs-jquery
Description: graphical tool to browse and edit PyTables and HDF5 files
 ViTables is a component of the PyTables family. It is a graphical
 tool for browsing and editing files in both PyTables and HDF5
 formats.
 .
 ViTables capabilities include easy navigation through the data
 hierarchy, displaying of real data and its associated metadata, a
 simple, yet powerful, browsing of multidimensional data and much
 more.
 .
 One of the greatest strengths of ViTables is its ability to display
 very large tables. Tables with one thousand millions of rows (and
 beyond) are navigated stunningly fast and with very low memory
 requirements. So, if you ever need to browse very large tables, don't
 hesitate, ViTables is your choice.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with python2

override_dh_auto_install:
	dh_auto_install -- --install-lib=/usr/share/vitables \
			   --install-scripts=/usr/share/vitables
	mv debian/vitables/usr/share/vitables/vitables/vitables \
	   debian/vitables/usr/share/vitables/run-vitables.py

=== debian/watch ===
version=3
opts="downloadurlmangle=s/prdownload/download/,dversionmangle=s/\+hg.*//"\
    http://developer.berlios.de/project/showfiles.php?group_id=10366 \
    http://prdownload.berlios.de/vitables/ViTables-(.*)\.tar\.gz

## vitables 3.0.0

=== doc/Makefile ===
--- 
+++ 
@@ -6,6 +6,12 @@
 SPHINXBUILD   = sphinx-build
 PAPER         =
 BUILDDIR      = _build
+SPHINXAPIDOC  = sphinx-apidoc
+
+# Variables needed to create build dependent index file
+MKDIR = mkdir -p
+CP = cp
+ACTUAL_INDEX = index.rst
 
 # Internal variables.
 PAPEROPT_a4     = -D latex_paper_size=a4
@@ -13,6 +19,7 @@
 ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
 
 .PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest
+.PHONY: builddir devhtml
 
 help:
 	@echo "Please use \`make <target>' where <target> is one of"
@@ -32,14 +39,22 @@
 	@echo "  changes    to make an overview of all changed/added/deprecated items"
 	@echo "  linkcheck  to check all external links for integrity"
 	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
+	@echo "  devhtml    to make HTML docs for developers"
+	@echo "  apidoc     to regenerate api documentation rst file (use with caution)"
 
 clean:
 	-rm -rf $(BUILDDIR)/*
+	-rm -f index.rst
 
-html:
+html: htmlindex
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
 	@echo
 	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."
+
+devhtml: devindex apidocs
+	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/devhtml
+	@echo
+	@echo "Build finished. The HTML pages are in $(BUILDDIR)/devhtml."
 
 dirhtml:
 	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
@@ -128,3 +143,27 @@
 	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
 	@echo "Testing of doctests in the sources finished, look at the " \
 	      "results in $(BUILDDIR)/doctest/output.txt."
+
+pdf: pdfindex
+	$(SPHINXBUILD) -b pdf $(ALLSPHINXOPTS) $(BUILDDIR)/pdf
+	@echo
+	@echo "pdf build finished; the PDF files are in $(BUILDDIR)/pdf."
+
+# targets that generate output specific index file
+htmlindex: indices/index_html.rst | $(BUILDDIR)
+	$(CP) $< $(ACTUAL_INDEX)
+
+pdfindex: indices/index_pdf.rst | $(BUILDDIR)
+	$(CP) $< $(ACTUAL_INDEX)
+
+devindex: indices/index_dev.rst | $(BUILDDIR)
+	$(CP) $< $(ACTUAL_INDEX)
+
+# regenerate apidoc rst files
+.PHONY: apidocs
+apidocs:
+	@echo "Building apidocs ..."
+	$(SPHINXAPIDOC) -f -o api -H "ViTables API" ../vitables
+
+$(BUILDDIR):
+	$(MKDIR) $(BUILDDIR)

=== mswindows/Makefile ===
#       Copyright (C) 2005-2007 Carabos Coop. V. All rights reserved
#       Copyright (C) 2008-2017 Vicent Mas. All rights reserved
#       Author:  Vicent Mas - vmas@vitables.org
#
# This Makefile is intended to create the ViTables installer for Windows.
# It is not intended for distribution.

VERSIONFILE=..\VERSION
#VERSION=$(shell type ..\VERSION) (syntax not supported by nmake)

VERSION=2.2.2

PYTHONVERSION=26
DOTPYTHONVERSION=2.6

ROOT=..
LICENSEFILE=$(ROOT)\LICENSE.txt
LICENSEFILENAME=LICENSE.txt
WINDOWS32=C:\\Windows\\system32

# The NSIS intstaller script
VTNSIS=vitables-py$(DOTPYTHONVERSION).nsi

# ViTables executable script
PYTHON=C:\Python$(PYTHONVERSION)\python
SIB="$(USERPROFILE)\VendorID-1.0.0\sib\sib.py"
ICON=$(ROOT)\vitables\icons\vitables.ico

# Documentation in HTML and PDF formats
INDEX=$(ROOT)\doc\index.rst
HTML_INDEX=$(ROOT)\doc\index_html.txt
PDF_INDEX=$(ROOT)\doc\index_pdf.txt
HTML_OUTDIR=$(ROOT)\vitables\htmldocs
PDF_OUTDIR=$(ROOT)\doc

clean:
	del $(VTNSIS)
	del ViTables*.win32-py$(DOTPYTHONVERSION).exe
	del $(ROOT)\vitables.py
	del $(INDEX)
	del $(ROOT)\doc\UsersGuide.pdf
	rmdir /q /s $(HTML_OUTDIR)
	rmdir /q /s $(ROOT)\doc\_build

vitables.exe:
	copy $(ROOT)\scripts\vitables .\vitables.py
	$(PYTHON) $(SIB) -u -i $(ICON) ./vitables.py
#	$(MAKE) -C build_vitables (syntax not supported by nmake)
	cd build_vitables && $(MAKE)
	copy build_vitables\vitables.exe .
	copy build_vitables\vitables.exe.manifest .
	rmdir /q /s build_vitables
	del .\vitables.py

vtdoc: htmldoc pdfdoc

htmldoc:
	del $(INDEX)
	copy $(HTML_INDEX) $(INDEX)
	cd $(ROOT)\doc && make.bat html
	mkdir $(HTML_OUTDIR)
	xcopy $(ROOT)\doc\_build\html\*.* /E $(HTML_OUTDIR)
	rmdir /q /s $(HTML_OUTDIR)\_sources
	copy $(ROOT)\vitables\LICENSE.html $(HTML_OUTDIR)
	rmdir /q /s $(ROOT)\doc\_build

pdfdoc:
	del $(INDEX)
	copy $(PDF_INDEX) /Y $(INDEX)
	cd $(ROOT)\doc && make.bat pdf
	xcopy $(ROOT)\doc\_build\pdf\*.* $(ROOT)\doc
	rmdir /q /s $(ROOT)\doc\_build

installer: vitables.nsi.in $(VERSIONFILE) $(LICENSEFILE) vtdoc vitables.exe
	copy ..\vitables\LICENSE.html LICENSE.html
	type vitables.nsi.in | sed -e "s/@VERSION@/$(VERSION)/g" \
	-e "s/@PYTHONVERSION@/$(PYTHONVERSION)/g" \
	-e "s/@DOTPYTHONVERSION@/$(DOTPYTHONVERSION)/g" \
	-e "s/@ROOT@/$(ROOT)/g" \
	-e "s/@WINDOWS32@/$(WINDOWS32)/g" \
	-e "s/@LICENSE@/$(LICENSE)/g" \
	-e "s/@LICENSEFILENAME@/$(LICENSEFILENAME)/g" \
	> $(VTNSIS)
	makensis $(VTNSIS)
	del LICENSE.html
	del vitables.exe
	del vitables.exe.manifest

=== debian/changelog ===
vitables (3.0.0-1) unstable; urgency=low

  [ Picca Frédéric-Emmanuel ]
  * use dh_sphinxdoc (>= 1.0.7+dfsg)
  * upstream hosting changed (Closes: #693115)
  * Use debhelper-compat instead of debian/compat.
  * Let pybuild generate the Python3 dependencies.
  * vitables installed as a private module.
  * d/patches/0004-vitables-vitables-run-to-... (Added)

  [ Benda Xu ]
  * New upstream release (Closes: #864282).
  * Bump standards to 4.3.0.
  * Migrate to Python 3 (Closes: #849758).
  * Change section to science (Closes: #820390).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 15 Sep 2019 11:53:48 +0200

=== debian/control ===
Source: vitables
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Dmitrijs Ledkovs <dmitrij.ledkov@gmail.com>,
           Picca Frédéric-Emmanuel <picca@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3,
               python3-nose,
               python3-numpy,
               python3-qtpy,
               python3-setuptools,
               python3-sip,
               python3-sphinx,
               python3-tables
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/science-team/vitables
Vcs-Git: https://salsa.debian.org/science-team/vitables.git
Homepage: http://vitables.org/

Package: vitables
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Description: graphical tool to browse and edit PyTables and HDF5 files
 ViTables is a component of the PyTables family. It is a graphical
 tool for browsing and editing files in both PyTables and HDF5
 formats.
 .
 ViTables capabilities include easy navigation through the data
 hierarchy, displaying of real data and its associated metadata, a
 simple, yet powerful, browsing of multidimensional data and much
 more.
 .
 One of the greatest strengths of ViTables is its ability to display
 very large tables. Tables with one thousand millions of rows (and
 beyond) are navigated stunningly fast and with very low memory
 requirements. So, if you ever need to browse very large tables, don't
 hesitate, ViTables is your choice.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export PYBUILD_INSTALL_ARGS=--install-lib=/usr/share/vitables/ --install-scripts=/usr/share/vitables/

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_clean:
	dh_clean
	$(MAKE) -C doc clean
	rm -f doc/index.rst
	rm -rf ViTables.egg-info

override_dh_auto_build:
	dh_auto_build
	$(MAKE) -C doc html # generate doc/index.rst
	$(MAKE) -C doc qthelp
	cd doc/_build && rm -r html && mv qthelp html && rm html/_static/*.js

override_dh_link:
	dh_link -p vitables /usr/share/vitables/vitables-run /usr/bin/vitables

override_dh_install:
	dh_install -p vitables unixapp/vitables.desktop usr/share/applications
	dh_install -p vitables unixapp/vitables.svg usr/share/icons/hicolor/scalable/apps
	dh_install -p vitables vitables/icons usr/share/vitables/
	dh_install

override_dh_installdocs:
	dh_installdocs -p vitables ANNOUNCE.txt
	dh_installdocs -p vitables TODO.txt
	dh_installdocs -p vitables README.txt
	dh_installdocs -p vitables doc/_build/html
	dh_installdocs

override_dh_installman:
	dh_installman -p vitables debian/vitables.1
	dh_installman

## vitables 3.0.2

=== requirements.txt ===
Cython
numexpr
numpy
tables
PyQt5
QtPy

=== debian/changelog ===
vitables (3.0.2-4) unstable; urgency=medium

  * Migrate remaining nose tests to pytest (Closes: #1018659).

 -- Benda Xu <orv@debian.org>  Wed, 01 Feb 2023 11:19:43 +0800

vitables (3.0.2-3) unstable; urgency=medium

  * Backport upstream fixes for Python 3.10 (Closes: #1009458).
  * Bump standard to 4.6.1.

 -- Benda Xu <orv@debian.org>  Wed, 01 Feb 2023 11:19:40 +0800

vitables (3.0.2-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload to allow testing migration.

 -- Boyuan Yang <byang@debian.org>  Thu, 21 Oct 2021 23:44:08 -0400

vitables (3.0.2-1) unstable; urgency=medium

  [ Picca Frédéric-Emmanuel ]
  * New upstream version 3.0.2 (Closes: #966056).

  [ Benda Xu ]
  * Incorporate NMU.
  * Remove python3-sip and add back sphinxdoc dependencies.
  * Enable test cases.
  * Update the icon installation locations.
  * Bump standards to 4.6.0.
  * Add Benda Xu to uploaders (Closes: #994882).

 -- Benda Xu <heroxbd@gentoo.org>  Sun, 26 Sep 2021 10:45:22 +0800

vitables (3.0.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build depend on python3-sphinxcontrib.qthelp. (Closes: #955096)

 -- Adrian Bunk <bunk@debian.org>  Wed, 29 Apr 2020 15:33:51 +0300

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,30 @@
 Source: vitables
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Dmitrijs Ledkovs <dmitrij.ledkov@gmail.com>,
-           Picca Frédéric-Emmanuel <picca@debian.org>
+           Picca Frédéric-Emmanuel <picca@debian.org>,
+           Benda Xu <orv@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3,
-               python3-nose,
                python3-numpy,
+               python3-pytest,
+               python3-pytest-xvfb,
                python3-qtpy,
                python3-setuptools,
-               python3-sip,
                python3-sphinx,
+               python3-sphinxcontrib.qthelp,
                python3-tables
-Standards-Version: 4.3.0
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/science-team/vitables
 Vcs-Git: https://salsa.debian.org/science-team/vitables.git
 Homepage: http://vitables.org/
 
 Package: vitables
 Architecture: all
-Depends: ${misc:Depends},
-         ${python3:Depends},
+Depends: ${misc:Depends}, ${python3:Depends}, ${sphinxdoc:Depends}
 Description: graphical tool to browse and edit PyTables and HDF5 files
  ViTables is a component of the PyTables family. It is a graphical
  tool for browsing and editing files in both PyTables and HDF5

=== debian/rules ===
--- 
+++ 
@@ -22,9 +22,9 @@
 	dh_link -p vitables /usr/share/vitables/vitables-run /usr/bin/vitables
 
 override_dh_install:
-	dh_install -p vitables unixapp/vitables.desktop usr/share/applications
-	dh_install -p vitables unixapp/vitables.svg usr/share/icons/hicolor/scalable/apps
-	dh_install -p vitables vitables/icons usr/share/vitables/
+	dh_install -p vitables vitables/icons/unixapp/vitables.desktop usr/share/applications
+	dh_install -p vitables vitables/icons/unixapp/vitables.svg usr/share/icons/hicolor/scalable/apps
+	dh_install -p vitables vitables/icons/{??x??,vitables*} usr/share/vitables/icons
 	dh_install
 
 override_dh_installdocs:

## vitables 3.0.3

=== mswindows/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #       Copyright (C) 2005-2007 Carabos Coop. V. All rights reserved
-#       Copyright (C) 2008-2017 Vicent Mas. All rights reserved
+#       Copyright (C) 2008-2019 Vicent Mas. All rights reserved
 #       Author:  Vicent Mas - vmas@vitables.org
 #
 # This Makefile is intended to create the ViTables installer for Windows.

=== debian/changelog ===
vitables (3.0.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - refresh patches, dropping those applied upstream
    - add new patch to keep unwanted files out of the module
    - update packaging to new version
    - update build-dependencies to hatchling and pybuild-plugin-pyproject
    - update dependencies to Qt6
    - startup failures fixed (Closes: #1065117)
    - test failures fixed (Closes: #1090311)
  * Add dependencies on relevant pyqt6 packages and force pyqt6 usage
    (Closes #1089955).
  * Simplify d/rules.
  * Add lintian overrides to improve output.
  * Drop obsolete preinst snippet not needed since bullseye.
  * Update Standards-Version to 4.7.0 (no changes).

 -- Stuart Prescott <stuart@debian.org>  Tue, 07 Jan 2025 19:41:29 +1100

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,20 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               pybuild-plugin-pyproject,
+               pyqt6-dev-tools,
                python3,
+               python3-hatchling,
                python3-numpy,
+               python3-pkg-resources,
+               python3-pyqt6,
                python3-pytest,
                python3-pytest-xvfb,
                python3-qtpy,
-               python3-setuptools,
                python3-sphinx,
                python3-sphinxcontrib.qthelp,
                python3-tables
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/science-team/vitables
 Vcs-Git: https://salsa.debian.org/science-team/vitables.git
@@ -24,7 +28,12 @@
 
 Package: vitables
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, ${sphinxdoc:Depends}
+Depends:
+ pyqt6-dev-tools,
+ python3-pyqt6,
+ ${misc:Depends},
+ ${python3:Depends},
+ ${sphinxdoc:Depends},
 Description: graphical tool to browse and edit PyTables and HDF5 files
  ViTables is a component of the PyTables family. It is a graphical
  tool for browsing and editing files in both PyTables and HDF5

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export PYBUILD_INSTALL_DIR=/usr/share/vitables/

# Ensure tests are run with PyQt6
export QT_API=pyqt6

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

execute_after_dh_clean:
	$(MAKE) -C doc clean

execute_after_dh_auto_build:
	$(MAKE) -C doc html # generate doc/index.rst
	$(MAKE) -C doc qthelp
	cd doc/_build && rm -r html && mv qthelp html && rm html/_static/*.js

execute_before_dh_install:
	mv $(CURDIR)/debian/vitables/usr/bin/vitables $(CURDIR)/debian/vitables/usr/share/vitables/vitables-run

execute_after_dh_install:
	dh_install -p vitables vitables/icons/{??x??,vitables*} usr/share/vitables/icons

execute_after_dh_fixperms:
	chmod -x $(CURDIR)/debian/vitables/usr/share/vitables/vitables/start.py

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%vitables-$1.tar.gz%" \
        https://github.com/uvemas/ViTables/tags \
        (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## vitables 3.1.0

=== mswindows/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #       Copyright (C) 2005-2007 Carabos Coop. V. All rights reserved
-#       Copyright (C) 2008-2019 Vicent Mas. All rights reserved
+#       Copyright (C) 2008-2024 Vicent Mas. All rights reserved
 #       Author:  Vicent Mas - vmas@vitables.org
 #
 # This Makefile is intended to create the ViTables installer for Windows.

=== debian/changelog ===
vitables (3.1.0-2) unstable; urgency=medium

  * d/t/control: Mark test as skip-not-installable

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 19 Mar 2025 08:57:05 +0100

vitables (3.1.0-1) unstable; urgency=medium

  [ Stuart Prescott ]
  * Fix typo in changelog closes

  [ Picca Frédéric-Emmanuel ]
  * New upstream version 3.1.0
  * Bug fix: "FTBFS: E AttributeError: module &#39;numpy&#39; has no
    attribute &#39;VisibleDeprecationWarning&#39;", thanks to Santiago
    Vila (Closes: #1095399).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 17 Mar 2025 15:59:48 +0100

=== debian/control ===
--- 
+++ 
@@ -1,30 +1,34 @@
 Source: vitables
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Dmitrijs Ledkovs <dmitrij.ledkov@gmail.com>,
-           Picca Frédéric-Emmanuel <picca@debian.org>,
-           Benda Xu <orv@debian.org>
+Uploaders:
+ Dmitrijs Ledkovs <dmitrij.ledkov@gmail.com>,
+ Picca Frédéric-Emmanuel <picca@debian.org>,
+ Benda Xu <orv@debian.org>,
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 13),
-               dh-python,
-               pybuild-plugin-pyproject,
-               pyqt6-dev-tools,
-               python3,
-               python3-hatchling,
-               python3-numpy,
-               python3-pkg-resources,
-               python3-pyqt6,
-               python3-pytest,
-               python3-pytest-xvfb,
-               python3-qtpy,
-               python3-sphinx,
-               python3-sphinxcontrib.qthelp,
-               python3-tables
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-sequence-numpy3,
+ dh-sequence-python3,
+ dh-sequence-sphinxdoc <!nodoc>,
+ pybuild-plugin-pyproject,
+ pyqt6-dev-tools,
+ python3,
+ python3-hatchling,
+ python3-numpy,
+ python3-pkg-resources,
+ python3-pyqt6,
+ python3-pytest <!nocheck>,
+ python3-pytest-xvfb <!nocheck>,
+ python3-qtpy,
+ python3-sphinx <!nodoc>,
+ python3-sphinxcontrib.qthelp <!nodoc>,
+ python3-tables,
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/science-team/vitables
 Vcs-Git: https://salsa.debian.org/science-team/vitables.git
-Homepage: http://vitables.org/
+Homepage: https://vitables.org/
 
 Package: vitables
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -2,12 +2,13 @@
 
 export DH_VERBOSE=1
 export PYBUILD_INSTALL_DIR=/usr/share/vitables/
+export PYBUILD_TEST_ARGS="-k not test_l10n"
 
 # Ensure tests are run with PyQt6
 export QT_API=pyqt6
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 execute_after_dh_clean:
 	$(MAKE) -C doc clean

=== debian/tests/control ===
Test-Command: xvfb-run -s "-screen 0 1024x768x24 -ac +extension GLX +render -noreset" sh debian/tests/gui
Depends:
 debhelper,
 mesa-utils,
 xauth,
 xvfb,
 @,
Restrictions:
 allow-stderr,
 skip-not-installable,
